<? include('checkcookie.php'); ?>
<h3>Подтверждение просроченых заданий</h3>
<?
if($_POST["status"]=="auto"){
  $task_good = mysql_query("SELECT * FROM seelf_task_pay WHERE tipo='' and time+1209600 < '".time()."'");
  if(mysql_num_rows($task_good)>0){
    while ($t_g = mysql_fetch_array($task_good)){
      mysql_query("UPDATE tb_users SET money=money +'".$t_g["pay"]."', rek=rek +'".$t_g["pay"]."' WHERE username='".$t_g["nameuser"]."'");
      mysql_query("UPDATE seelf_task_pay SET tipo='good', reyt_user=reyt_user+0.05, auto_g='1' WHERE id='".$t_g["id"]."'");
      mysql_query("UPDATE seelf_task SET good=good+1, inprogress=inprogress-1 WHERE id='".$t_g["ident"]."'");
    }
    $error = "<b  style=\"color:#00aa00;font-size:12px;\">Задания успешно подтверждены</b>";
  }else{
  	$error = "<b  style=\"color:#dd0000;font-size:12px;\">Нет заданий которые надо подтвердить</b>";
  }
}

$kolvo=20; //кол-во выводимых рефералов на страницу
$sqlz=mysql_query("SELECT id FROM seelf_task_pay WHERE tipo='good' and auto_g='1'");
$vsego=intval(mysql_num_rows($sqlz)/$kolvo);
$gg=$vsego*$kolvo;
if($gg<mysql_num_rows($sqlz)) { $vsego=$vsego+1; }
if(isset($_GET["view"])) { $page=intval($_GET["view"]); }else{ $page=1; }
$pages=$vsego/$kolvo;
$pages1=floor($pages);
if($pages>$pages1)
{
	$pages=$pages1+1;
}
$p1=$kolvo*($page-1);
$p2=$kolvo;

$task_good = mysql_query("SELECT * FROM seelf_task_pay WHERE tipo='' and time+1209600 < '".time()."'");
$n_good = mysql_num_rows($task_good);

$task = mysql_query("SELECT * FROM seelf_task_pay WHERE tipo=''");
$n_t = mysql_num_rows($task);
?>
<div align="center">
Всего ждут подтверждения: <b style="color:#880000;"><?=$n_t;?></b>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
Будет подтверждено Вами: <b style="color:#880000;"><?=$n_good;?></b>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
За все время Вами подтверждено: <b style="color:#880000;"><?=mysql_num_rows($sqlz);?></b>
</div>
<div align="center">
<?=$error;?> <br>
<form name="" action="" method="post">
<input name="status" type="hidden" value="auto">
<input type="submit" value="Подтвердить задания">
</form></div>
<table  width="100%" cellspacing="0" cellpadding="0">
<tr>
    <th>Автор</th>
	<th>Выпонил</th>
	<th>ID задания</th>
	<th>Зачислено средств</th>
	<th>Дата выполнения</th>
</tr>
<?
$res=mysql_query("SELECT * FROM seelf_task_pay WHERE tipo='good' and auto_g='1' order by id asc limit $p1,$p2");
if(mysql_num_rows($res)>0){
while($row=mysql_fetch_array($res))
{
$date = date("d.m.y  H:i",$row["time"]);

echo <<<STILL
<tr>
<td align=center>{$row["namep"]}</td>
<td align=center>{$row["nameuser"]}</td>
<td align=center>{$row["ident"]}</td>
<td align=center>{$row["pay"]}</td>
<td align=center>{$date}</td>
</tr>
STILL;
}?>
<?}else{
echo <<<STILL
<tr>
<td align=center colspan="6">По данному запросу ничего не найдено</td>
</tr>
STILL;
}?>
<tr>
<td align=center colspan="6">
<div align="center"><?$u=1;
while($u<=$vsego)
{
if($u!=$vsego)
{
?>
<a href="adminmain.php?p=still_task_good&view=<?=$u ?>"><?=$u ?></a> |
<?
}else{
?><a href="adminmain.php?p=still_task_good&view=<?=$u ?>"><?=$u ?></a>
<?
}
$u++;
}?></div>
</td></tr>
</table>